@import "assets/stylesheets/colors";
@import "assets/stylesheets/typography";

.select-container {
    width: 100%;
    &.multi-line {
        .MuiInputBase-root {
            .MuiSelect-root {
                height: fit-content;
            }
        }
    }

    .MuiSelect-root {
        height: 19px;
    }

    .MuiInputBase-root {
        color: $primary-text;
        @extend h6;

        .MuiOutlinedInput-notchedOutline {
            border-color: $primary-border;
        }

        &:hover {
            .MuiOutlinedInput-notchedOutline {
                border-color: $primary-purple;
            }

            .MuiInputAdornment-root {
                border-color: $primary-purple;
            }
        }

        &.Mui-error {
            color: $primary-red;

            &:hover {
                .MuiOutlinedInput-notchedOutline {
                    border-color: $primary-red;
                }
            }

            &.Mui-focused {
                .MuiOutlinedInput-notchedOutline {
                    border-color: $primary-red;
                }
            }
        }
    }

    .MuiFormLabel-root {
        color: $secondary-text;

        &.label-error {
            color: $primary-red !important;
        }
    }

    .MuiInputLabel-root {
        &.Mui-focused {
            color: $primary-purple;

            &.Mui-error {
                color: $primary-red;
            }
        }
    }
}

// ItemList
div[role="presentation"] {
    .MuiPaper-root {
        background-color: $secondary-dark;

        .MuiList-root {
            color: $primary-text;

            .MuiListItem-button {
                &:hover {
                    background-color: $primary-purple !important;
                }

                &.Mui-selected {
                    background-color: $secondary-purple;
                }
            }
        }
    }
}